import os
import csv
from flask import Flask, redirect, request, render_template, jsonify

app = Flask(__name__)

ALLOWED_EXTENSIONS = set(['txt', 'pdf', 'png', 'jpg', 'jpeg', 'gif'])

# Adds a record to the CSV file.
@app.route("/AddRecord", methods=['POST'])
def addRecord():

    print('Processing record.')
    infoMessage = ('Add record failed.')

    if (request.method == 'POST'):
        recordName = request.form['recordName']
        recordAddress = request.form['recordAddress']
        recordMainPhotos = request.form['recordMainPhotos']
        recordAdditionalPhotos = request.form['recordAdditionalPhotos']
        recordDescription = request.form['recordDescription']
        recordWebsite = request.form['recordWebsite']
        recordEmail = request.form['recordEmail']
        recordPhoneNumber = request.form['recordPhoneNumber']
        recordOpeningHours = request.form['recordOpeningHours']
        recordCheckinInstructions = request.form['recordCheckinInstructions']
        recordData = [recordName, recordAddress, recordMainPhotos, recordAdditionalPhotos, recordDescription, recordWebsite, recordEmail, recordPhoneNumber, recordOpeningHours, recordCheckinInstructions]

        with open('coworking_spaces.csv', 'a') as addToFile:
            csvWriter = csv.writer(addToFile)
            csvWriter.writerow(recordData)
            addToFile.close()

        infoMessage = (f'{recordData} Record added.')

    print(infoMessage)
    return (infoMessage)

if __name__ == "__main__":
    app.run(debug=True)
